# -*- coding: utf-8 -*-
require "eticket/acceptable_fields/version"

module Eticket
  module AcceptableFields
    EMAIL = /\A([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})\z/i

    # Password with at least 1 uppercase char, 1 digit and length more than 8 symbols
    PASSWORD = /\A(?=.*\d)(?=.*[a-zа-я])(?=.*[A-ZА-Я]).{8,}\z/
    UA_PHONE = /\A38[\d\-\(\)\ ]{10,20}\z/
    SIMPLE_PHONE = /\A\d{5,16}\z/
    URL = %r{\A(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/\w \.-]*)*\/?\z}i
    INITIALS = /\A[0-9а-яА-Яa-zA-ZіїєґёЁ\.'\-\s+]{3,}*\z/i
  end
end
